lzma_block_coder Struct Reference

## Public Types

enum | { SEQ_CODE , SEQ_PADDING , SEQ_CHECK }
enum | { SEQ_CODE , SEQ_PADDING , SEQ_CHECK }

## Data Fields

enum lzma_block_coder:: { ... } | sequence
lzma_next_coder | next
| The filters in the chain; initialized with lzma_raw_decoder_init(). More...
lzma_block * | block
lzma_vli | compressed_size
| Compressed Size calculated while decoding. More...
lzma_vli | uncompressed_size
| Uncompressed Size calculated while decoding. More...
lzma_vli | compressed_limit
size_t | check_pos
| Position when reading the Check field. More...
lzma_check_state | check
| Check of the uncompressed data. More...
bool | ignore_check
| True if the integrity check won't be calculated and verified. More...
enum lzma_block_coder:: { ... } | sequence
size_t | pos
| Position in the Check field. More...

## Field Documentation

## next

lzma_next_coder lzma_block_coder::next

The filters in the chain; initialized with lzma_raw_decoder_init().

## block

lzma_block * lzma_block_coder::block

Decoding options; we also write Compressed Size and Uncompressed Size back to this structure when the decoding has been finished.

Encoding options; we also write Unpadded Size, Compressed Size, and Uncompressed Size back to this structure when the encoding has been finished.

## compressed_size

lzma_vli lzma_block_coder::compressed_size

Compressed Size calculated while decoding.

Compressed Size calculated while encoding.

## uncompressed_size

lzma_vli lzma_block_coder::uncompressed_size

Uncompressed Size calculated while decoding.

Uncompressed Size calculated while encoding.

## compressed_limit

lzma_vli lzma_block_coder::compressed_limit

Maximum allowed Compressed Size; this takes into account the size of the Block Header and Check fields when Compressed Size is unknown.

## check_pos

size_t lzma_block_coder::check_pos

Position when reading the Check field.

## check

lzma_check_state lzma_block_coder::check

Check of the uncompressed data.

## ignore_check

bool lzma_block_coder::ignore_check

True if the integrity check won't be calculated and verified.

## pos

size_t lzma_block_coder::pos

Position in the Check field.

The documentation for this struct was generated from the following files:

- liblzma/common/block_decoder.c
- liblzma/common/block_encoder.c